> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/datamart-segment-and-feed-operations/file-delivery-destinations.md).

# File Delivery Destinations

Operations related to **File Delivery Destinations** that store connection information (credentials, addresses, paths) for destinations like SFTP or S3 used to push files. Referenced by feeds with **stream-to-file capability** using destination tokens, enabling automated delivery of segment identifiers and custom connector integrations with support for dynamic file paths and names via Freemarker templates.

Relevant documentation:

* [Destination file](https://developer.mediarithmics.io/advanced-usages/exporting-your-data/destination-file)

## GET /file\_delivery\_destinations

> Search File delivery destination

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"File Delivery Destinations","description":"Operations related to **File Delivery Destinations** that store connection information (credentials, addresses, paths) for destinations like SFTP or S3 used to push files. Referenced by feeds with **stream-to-file capability** using destination tokens, enabling automated delivery of segment identifiers and custom connector integrations with support for dynamic file paths and names via Freemarker templates.\n\nRelevant documentation:\n- [Destination file](https://developer.mediarithmics.io/advanced-usages/exporting-your-data/destination-file)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/file_delivery_destinations":{"get":{"tags":["File Delivery Destinations"],"operationId":"findFileDeliveryDestinations","summary":"Search File delivery destination","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"integer"},"first_result":{"type":"integer"},"max_results":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/FileDeliveryDestinationResource"}},"count":{"type":"integer"},"status":{"type":"string","enum":["ok"]}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"style":"form","schema":{"type":"string"},"explode":true,"name":"token","required":false,"in":"query"},{"schema":{"type":"integer","format":"int32"},"explode":true,"description":"Offset from which the search must be performed","name":"first_result","required":false,"in":"query","style":"form"},{"schema":{"type":"integer","format":"int32"},"in":"query","style":"form","required":false,"description":"Number of maximum items that shall be return by this search","explode":true,"name":"max_results"},{"in":"query","description":"Organisation owning the file delivery destination","name":"organisation_id","style":"form","schema":{"type":"integer","format":"int64"},"required":true,"explode":true},{"required":false,"in":"query","schema":{"type":"array","items":{"type":"string"}},"style":"form","description":"Fields used to order the result","name":"order_by","explode":true},{"required":false,"description":"The keywords to match with file delivery destination names","name":"keywords","style":"form","explode":true,"in":"query","schema":{"type":"string"}},{"description":"If true the result will contain only archived delivery destinations","style":"form","name":"archived","in":"query","schema":{"type":"boolean"},"explode":true,"required":false}],"description":""}}},"components":{"schemas":{"FileDeliveryDestinationResource":{"type":"object","properties":{"file_name_macro":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"compression":{"$ref":"#/components/schemas/FileDeliveryDestinationCompression"},"token":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"max_upload_per_day":{"type":"integer","format":"int32","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"file_max_size_in_kb":{"readOnly":false,"type":"integer","default":0,"format":"int32"},"check_previous_file_removed":{"type":"boolean","default":false,"readOnly":false},"min_upload_per_day":{"type":"integer","format":"int32","default":0,"readOnly":false},"encoding":{"type":"string","readOnly":false},"type":{"$ref":"#/components/schemas/FileDeliveryType"},"credentials_private_datafile":{"type":"string","readOnly":true},"file_header_macro":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"file_path_macro":{"type":"string","readOnly":false},"deduplicate":{"type":"boolean","default":false,"readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false}},"required":["archived","check_previous_file_removed","compression","deduplicate","encoding","file_name_macro","file_path_macro","id","name","organisation_id","technical_name","token","type"]},"FileDeliveryDestinationCompression":{"type":"string","enum":["NONE","GZIP","ZIP"],"readOnly":false},"FileDeliveryType":{"type":"string","enum":["SFTP","S3","GOOGLE_CLOUD_STORAGE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /file\_delivery\_destinations

> Create a File delivery destination

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"File Delivery Destinations","description":"Operations related to **File Delivery Destinations** that store connection information (credentials, addresses, paths) for destinations like SFTP or S3 used to push files. Referenced by feeds with **stream-to-file capability** using destination tokens, enabling automated delivery of segment identifiers and custom connector integrations with support for dynamic file paths and names via Freemarker templates.\n\nRelevant documentation:\n- [Destination file](https://developer.mediarithmics.io/advanced-usages/exporting-your-data/destination-file)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/file_delivery_destinations":{"post":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/FileDeliveryDestinationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"createFileDeliveryDestinations","summary":"Create a File delivery destination","requestBody":{"description":"The file delivery destination to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileDeliveryDestinationResource"}}},"required":true},"description":"","tags":["File Delivery Destinations"]}}},"components":{"schemas":{"FileDeliveryDestinationResource":{"type":"object","properties":{"file_name_macro":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"compression":{"$ref":"#/components/schemas/FileDeliveryDestinationCompression"},"token":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"max_upload_per_day":{"type":"integer","format":"int32","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"file_max_size_in_kb":{"readOnly":false,"type":"integer","default":0,"format":"int32"},"check_previous_file_removed":{"type":"boolean","default":false,"readOnly":false},"min_upload_per_day":{"type":"integer","format":"int32","default":0,"readOnly":false},"encoding":{"type":"string","readOnly":false},"type":{"$ref":"#/components/schemas/FileDeliveryType"},"credentials_private_datafile":{"type":"string","readOnly":true},"file_header_macro":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"file_path_macro":{"type":"string","readOnly":false},"deduplicate":{"type":"boolean","default":false,"readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false}},"required":["archived","check_previous_file_removed","compression","deduplicate","encoding","file_name_macro","file_path_macro","id","name","organisation_id","technical_name","token","type"]},"FileDeliveryDestinationCompression":{"type":"string","enum":["NONE","GZIP","ZIP"],"readOnly":false},"FileDeliveryType":{"type":"string","enum":["SFTP","S3","GOOGLE_CLOUD_STORAGE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /file\_delivery\_sources/{id}

> Update a File delivery source

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"File Delivery Destinations","description":"Operations related to **File Delivery Destinations** that store connection information (credentials, addresses, paths) for destinations like SFTP or S3 used to push files. Referenced by feeds with **stream-to-file capability** using destination tokens, enabling automated delivery of segment identifiers and custom connector integrations with support for dynamic file paths and names via Freemarker templates.\n\nRelevant documentation:\n- [Destination file](https://developer.mediarithmics.io/advanced-usages/exporting-your-data/destination-file)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/file_delivery_sources/{id}":{"put":{"requestBody":{"description":"The file delivery source to modify","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileDeliverySourceResource"}}},"required":true},"tags":["File Delivery Destinations"],"parameters":[{"name":"id","style":"simple","in":"path","required":true,"schema":{"type":"string"},"explode":false}],"summary":"Update a File delivery source","description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/FileDeliverySourceResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"updateFileDeliverySource"}}},"components":{"schemas":{"FileDeliverySourceResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"credentials_private_datafile":{"type":"string","readOnly":true},"organisation_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"type":{"$ref":"#/components/schemas/FileDeliveryType"},"file_path":{"type":"string","readOnly":false},"token":{"type":"string","readOnly":true}},"required":["file_path","id","name","organisation_id","technical_name","token","type"]},"FileDeliveryType":{"type":"string","enum":["SFTP","S3","GOOGLE_CLOUD_STORAGE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /file\_delivery\_destinations/{id}

> Get File delivery destination

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"File Delivery Destinations","description":"Operations related to **File Delivery Destinations** that store connection information (credentials, addresses, paths) for destinations like SFTP or S3 used to push files. Referenced by feeds with **stream-to-file capability** using destination tokens, enabling automated delivery of segment identifiers and custom connector integrations with support for dynamic file paths and names via Freemarker templates.\n\nRelevant documentation:\n- [Destination file](https://developer.mediarithmics.io/advanced-usages/exporting-your-data/destination-file)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/file_delivery_destinations/{id}":{"get":{"description":"","summary":"Get File delivery destination","parameters":[{"required":true,"name":"id","explode":false,"schema":{"type":"string"},"style":"simple","in":"path"}],"tags":["File Delivery Destinations"],"operationId":"getFileDeliveryDestination","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/FileDeliveryDestinationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"FileDeliveryDestinationResource":{"type":"object","properties":{"file_name_macro":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"compression":{"$ref":"#/components/schemas/FileDeliveryDestinationCompression"},"token":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"max_upload_per_day":{"type":"integer","format":"int32","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"file_max_size_in_kb":{"readOnly":false,"type":"integer","default":0,"format":"int32"},"check_previous_file_removed":{"type":"boolean","default":false,"readOnly":false},"min_upload_per_day":{"type":"integer","format":"int32","default":0,"readOnly":false},"encoding":{"type":"string","readOnly":false},"type":{"$ref":"#/components/schemas/FileDeliveryType"},"credentials_private_datafile":{"type":"string","readOnly":true},"file_header_macro":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"file_path_macro":{"type":"string","readOnly":false},"deduplicate":{"type":"boolean","default":false,"readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false}},"required":["archived","check_previous_file_removed","compression","deduplicate","encoding","file_name_macro","file_path_macro","id","name","organisation_id","technical_name","token","type"]},"FileDeliveryDestinationCompression":{"type":"string","enum":["NONE","GZIP","ZIP"],"readOnly":false},"FileDeliveryType":{"type":"string","enum":["SFTP","S3","GOOGLE_CLOUD_STORAGE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /file\_delivery\_destinations/{id}

> Update a File delivery destination

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"File Delivery Destinations","description":"Operations related to **File Delivery Destinations** that store connection information (credentials, addresses, paths) for destinations like SFTP or S3 used to push files. Referenced by feeds with **stream-to-file capability** using destination tokens, enabling automated delivery of segment identifiers and custom connector integrations with support for dynamic file paths and names via Freemarker templates.\n\nRelevant documentation:\n- [Destination file](https://developer.mediarithmics.io/advanced-usages/exporting-your-data/destination-file)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/file_delivery_destinations/{id}":{"put":{"parameters":[{"schema":{"type":"string"},"explode":false,"name":"id","in":"path","required":true,"style":"simple"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/FileDeliveryDestinationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"description":"The file delivery destination to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileDeliveryDestinationResource"}}},"required":true},"operationId":"updateFileDeliveryDestinations","description":"","summary":"Update a File delivery destination","tags":["File Delivery Destinations"]}}},"components":{"schemas":{"FileDeliveryDestinationResource":{"type":"object","properties":{"file_name_macro":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"compression":{"$ref":"#/components/schemas/FileDeliveryDestinationCompression"},"token":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"max_upload_per_day":{"type":"integer","format":"int32","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"file_max_size_in_kb":{"readOnly":false,"type":"integer","default":0,"format":"int32"},"check_previous_file_removed":{"type":"boolean","default":false,"readOnly":false},"min_upload_per_day":{"type":"integer","format":"int32","default":0,"readOnly":false},"encoding":{"type":"string","readOnly":false},"type":{"$ref":"#/components/schemas/FileDeliveryType"},"credentials_private_datafile":{"type":"string","readOnly":true},"file_header_macro":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"file_path_macro":{"type":"string","readOnly":false},"deduplicate":{"type":"boolean","default":false,"readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false}},"required":["archived","check_previous_file_removed","compression","deduplicate","encoding","file_name_macro","file_path_macro","id","name","organisation_id","technical_name","token","type"]},"FileDeliveryDestinationCompression":{"type":"string","enum":["NONE","GZIP","ZIP"],"readOnly":false},"FileDeliveryType":{"type":"string","enum":["SFTP","S3","GOOGLE_CLOUD_STORAGE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /file\_delivery\_destinations/{id}/credentials

> Update a destination's credentials

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"File Delivery Destinations","description":"Operations related to **File Delivery Destinations** that store connection information (credentials, addresses, paths) for destinations like SFTP or S3 used to push files. Referenced by feeds with **stream-to-file capability** using destination tokens, enabling automated delivery of segment identifiers and custom connector integrations with support for dynamic file paths and names via Freemarker templates.\n\nRelevant documentation:\n- [Destination file](https://developer.mediarithmics.io/advanced-usages/exporting-your-data/destination-file)\n"}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/file_delivery_destinations/{id}/credentials":{"put":{"operationId":"updateFileDeliveryDestinationCredentials","description":"","summary":"Update a destination's credentials","parameters":[{"name":"id","required":true,"schema":{"type":"string"},"in":"path","style":"simple","explode":false}],"tags":["File Delivery Destinations"],"requestBody":{"description":"The file delivery destination credentials to update","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/FileDeliveryDestinationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"FileDeliveryDestinationResource":{"type":"object","properties":{"file_name_macro":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"compression":{"$ref":"#/components/schemas/FileDeliveryDestinationCompression"},"token":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"max_upload_per_day":{"type":"integer","format":"int32","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"file_max_size_in_kb":{"readOnly":false,"type":"integer","default":0,"format":"int32"},"check_previous_file_removed":{"type":"boolean","default":false,"readOnly":false},"min_upload_per_day":{"type":"integer","format":"int32","default":0,"readOnly":false},"encoding":{"type":"string","readOnly":false},"type":{"$ref":"#/components/schemas/FileDeliveryType"},"credentials_private_datafile":{"type":"string","readOnly":true},"file_header_macro":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"file_path_macro":{"type":"string","readOnly":false},"deduplicate":{"type":"boolean","default":false,"readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false}},"required":["archived","check_previous_file_removed","compression","deduplicate","encoding","file_name_macro","file_path_macro","id","name","organisation_id","technical_name","token","type"]},"FileDeliveryDestinationCompression":{"type":"string","enum":["NONE","GZIP","ZIP"],"readOnly":false},"FileDeliveryType":{"type":"string","enum":["SFTP","S3","GOOGLE_CLOUD_STORAGE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/datamart-segment-and-feed-operations/file-delivery-destinations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
